Package org.opensaml.saml.common.messaging.context.navigate

# Class SAMLMessageContextAuthenticationFunction

java.lang.Object
org.opensaml.saml.common.messaging.context.navigate.SAMLMessageContextAuthenticationFunction

All Implemented Interfaces:
  `Function<MessageContext,Boolean>`

public class SAMLMessageContextAuthenticationFunction extends Object implements Function<MessageContext,Boolean>
Function that returns the authenticated state of a configured `AbstractAuthenticatableSAMLEntityContext`, defaulting to `SAMLPeerEntityContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Class<? extends AbstractAuthenticatableSAMLEntityContext>`
`entityContextClass`
The context class representing the authenticatable SAML entity.

## Constructor Summary

Constructors
Constructor
Description
`SAMLMessageContextAuthenticationFunction()`

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`apply(MessageContext input)`
`void`
`setEntityContextClass(Class<? extends AbstractAuthenticatableSAMLEntityContext> clazz)`
Set the class type holding the authenticatable SAML entity data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### entityContextClass

@Nonnull private Class<? extends AbstractAuthenticatableSAMLEntityContext> entityContextClass
The context class representing the authenticatable SAML entity. Defaults to: `SAMLPeerEntityContext`.

## Constructor Details

### SAMLMessageContextAuthenticationFunction

public SAMLMessageContextAuthenticationFunction()

## Method Details

### setEntityContextClass

public void setEntityContextClass(@Nonnull Class<? extends AbstractAuthenticatableSAMLEntityContext> clazz)
Set the class type holding the authenticatable SAML entity data.

Defaults to: `SAMLPeerEntityContext`.

Parameters:
  `clazz` - the entity context class type

### apply

@Nullable public Boolean apply(@Nullable MessageContext input)

Specified by:
  `apply` in interface `Function<MessageContext,Boolean>`